# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Dec 20 18:01:33 2023
# ------------------------------------------------

package:
  name: gluonts
  version: 0.14.3
source:
  sha256: 955602c7853fc4b252451360848f58542df830fe89c10d38473c4d2000bd9993
  url: https://pypi.io/packages/source/g/gluonts/gluonts-0.14.3.tar.gz
build:
  number: '0'
  script: /croot/gluonts_1703095299913/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.12.12 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.12 h7f8727e_0
    - pip 23.3.1 py311h06a4308_0
    - python 3.11.5 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.2.2 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py311h06a4308_0
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - lightning >=2.0,<2.2
    - numpy >=1.16,<2
    - pandas >=1.0,<3
    - pydantic >=1.7,<3
    - python >=3.11,<3.12.0a0
    - pytorch >=1.9,<3
    - pytorch-lightning >=2.0,<2.2
    - scipy >=1.10,<1.11
    - toolz >=0.10,<1
    - tqdm >=4.23,<5
test:
  commands:
    - pip check
  imports:
    - gluonts
  requires:
    - pip
about:
  description: GluonTS is a Python package for probabilistic time series modeling,
    focusing on deep learning based models, based on PyTorch and MXNet.
  dev_url: https://github.com/awslabs/gluonts
  doc_url: https://ts.gluon.ai/stable/index.html
  home: https://ts.gluon.ai/stable/
  license: Apache-2.0
  license_family: Apache
  license_file:
    - LICENSE
    - NOTICE
  summary: GluonTS is a Python toolkit for probabilistic time series modeling, built
    around Apache MXNet (incubating).
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 40f9714e-13de-4453-8c09-1091d617a5b2
  recipe-maintainers:
    - dkomisar
  remote_url: git@github.com:AnacondaRecipes/gluon-ts-feedstock.git
  sha: f21bed162e7aa2cfe46b83f070276b479c858485
